Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Functions
osmium::config Namespace Reference

## Functions
int | get_pool_threads () noexcept
bool | use_pool_threads_for_pbf_parsing () noexcept
std::size_t | get_max_queue_size (const char *queue_name, const std::size_t default_value) noexcept
int8_t | clean_page_cache_after_read () noexcept

## Function Documentation

## ◆ clean_page_cache_after_read()

int8_t osmium::config::clean_page_cache_after_read | ( |  | ) |
| inline noexcept

## ◆ get_max_queue_size()

std::size_t osmium::config::get_max_queue_size | ( | const char * | queue_name,
|  | const std::size_t | default_value )
| inline noexcept

## ◆ get_pool_threads()

int osmium::config::get_pool_threads | ( |  | ) |
| inline noexcept

## ◆ use_pool_threads_for_pbf_parsing()

bool osmium::config::use_pool_threads_for_pbf_parsing | ( |  | ) |
| inline noexcept